# TQextScintillaDocument Class Reference

The TQextScintillaDocument class represents a document to be editted. More...

`#include <tqextscintilladocument.h>`

List of all members.

## Public Member Functions

- TQextScintillaDocument ()
- TQextScintillaDocument (const TQextScintillaDocument &)
- TQextScintillaDocument & operator= (const TQextScintillaDocument &)

## Detailed Description

The TQextScintillaDocument class represents a document to be editted.

It is an opaque class that can be attached to multiple instances of TQextScintilla to create different simultaneous views of the same document. TQextScintillaDocument uses implicit sharing so that copying class instances is a cheap operation.

## Constructor & Destructor Documentation

TQextScintillaDocument::TQextScintillaDocument | ( |  | ) |

Create a new unattached document.